#### Description:

This function checks to see if a KeyMap contains a defined value for a given key. If the key is present in the KeyMap but has an undefined value it returns zero (unlike astMapHasKey which would return non-zero).

#### Synopsis

int astMapDefined( AstKeyMap ∗this, const char ∗key );

#### Parameters:

##### this

Pointer to the KeyMap.

##### key

The character string identifying the value to be retrieved. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.

#### Returned Value

##### astMapDefined()

A non-zero value is returned if the requested key name is present in the KeyMap and has a defined value.
Copyright (C) 2021 East Asian Observatory